# Welcome
**This is the official documentation of SkyWalking 8. Welcome to the SkyWalking community!**

Here you can learn all you need to know about **SkyWalking**’s architecture, understand how to deploy and use SkyWalking, and contribute to the project based on SkyWalking's contributing guidelines.

**NOTE: SkyWalking 8 uses brand new tracing APIs which are incompatible with all previous releases.**

- **Concepts and Designs**. You'll find the core logic behind SkyWalking. You may start from here if you want to understand what is going on under our cool features and visualization.

- **Setup**. A guide to installing SkyWalking for different use cases. It is an observability platform that supports multiple observability modes.

- **UI Introduction**. An introduction to the UI components and their features. 

- **Contributing Guides**. If you are a PMC member, a committer, or a new contributor, learn how to start contributing with these guides!

- **Protocols**. The protocols show how agents/probes and the backend communicate with one another. Anyone interested in uplink telemetry data should definitely read this.

- **FAQs**. A manifest of known issues with setup and secondary developments processes. Should you encounter any problems, check here first.


You might also find these links interesting:

- The latest and old releases are all available at [Apache SkyWalking release page](https://skywalking.apache.org/downloads/). The change logs can be found [here](https://github.com/apache/skywalking/tree/master/changes).

- [SkyWalking WIKI](https://cwiki.apache.org/confluence/display/SKYWALKING/Home) hosts the context of some changes and events.

- You can find the conference schedules, video recordings, and articles about SkyWalking in the [community resource catalog](https://github.com/OpenSkywalking/Community).

We're always looking for help to improve our documentation and codes, so please don’t hesitate to [file an issue](https://github.com/apache/skywalking/issues/new) if you see any problems. 
Or better yet, directly contribute by submitting a pull request to help us get better!

